/*== http.js ===========================================================
HTTP module.
Version     : $Id: log.js 477 2010-06-24 11:35:45Z hartwig $
Application : Utilities
Description : JScript module for HTTP requests.
------------------------------------------------------------------------
Created    : 13.04.2011, Hartwig Thomas, Enter AG, Zurich
Copyright (c) 2011, Enter AG, Zurich, Switzerland
This file is part of the project Bundesversammlung.
bv.js is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
bv.js is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with Bundesversammlung. If not, see <http://www.gnu.org/licenses/>.
======================================================================*/
/* Help avoid duplicate import */
var g_httpjs = true;
/* Report loading */
if (g_bVerbose)
  WScript.StdOut.WriteLine("loading http.js");
  
/*======================================================================
Http
======================================================================*/
/*----------------------------------------------------------------------
log module 
----------------------------------------------------------------------*/
if (typeof g_logjs == "undefined")
  eval(g_fso.OpenTextFile(getScriptDir()+"log.js",1).ReadAll());
  

/*----------------------------------------------------------------------
Http class (static, singleton)
----------------------------------------------------------------------*/
function Http()
{
}; /* Http */

/*----------------------------------------------------------------------
get retrieves a (text or html) page.
----------------------------------------------------------------------*/
Http.prototype.get = function(sUrl)
{
  var sRequest = null;
  g_log.enter("Http.prototype.get",String(sUrl));
  try
  {
    oRequest = WScript.CreateObject("WinHttp.WinHttpRequest.5.1");
    var req = oRequest.Open("GET", sUrl, false);
    oRequest.Send();
    var sResult = oRequest.ResponseText;
  }
  catch(e) { g_log.exception("Http.prototype.get",e); }
  g_log.exit("Http.prototype.get",String(sResult));
  return sResult;
} /* get */
