/*== string.js =========================================================
String module for enhancing String functionality.
Version     : $Id: utils.js 477 2010-06-24 11:35:45Z hartwig $
Application : Utilities
Description : JScript module for enhancing String functionality.
------------------------------------------------------------------------
Created    : 13.04.2011, Hartwig Thomas, Enter AG, Zurich
Copyright (c) 2011, Enter AG, Zurich, Switzerland
This file is part of the project Bundesversammlung.
string.js is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
string.js is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with Bundesversammlung. If not, see <http://www.gnu.org/licenses/>.
======================================================================*/
/* Help avoid duplicate import */
var g_stringjs = true;
/* Report loading */
if (g_bVerbose)
  WScript.StdOut.WriteLine("loading string.js");
  
/*======================================================================
String enhancement
======================================================================*/
/*--------------------------------------------------------------------
(public, static) trim removes leading and trailing whitespace.
--------------------------------------------------------------------*/
String.prototype.trim = function()
{
  var re = new RegExp("^\\s*(.*?)\\s*$");
  return this.replace(re, "$1");
}; /* trim */
